Mashery Network API Demo App for Active.com Search API
==================================================================
Created lovingly for the developer community by Mashery.

http://www.mashery.com

http://developer.mashery.com


SYNOPSIS
==================================================================
This native iOS demo application was built to demonstrate how to
integrate the [Active.com Search API](http://developer.active.com) (to find activites by location)
and StackMob (to persist activity search result data in the cloud).

This is a simple single page app that utilizes several native
frameworks, a couple of external libraries, and a single Storyboard
view controller scene.

The interface contains a UISearchBar and Map View. During runtime,
the end-user supplies either a postal code (e.g. 94103) or a city,
state and country (e.g. Oakland, CA, US) and clicks Search. An API
call is made to Active.com, searching for activities within a
radius of the supplied location. The JSON results are parsed, with
each activity pinned to the map view. Additionally, the activity
data is persisted in the cloud using [StackMob](http://stackmob.com).


REQUIREMENTS
==================================================================
1. Xcode (created on 4.5.2) - https://developer.apple.com/xcode/
2. Active.com Search API Key - http://developer.active.com
3. StackMob Public Key - http://www.stackmob.com


GETTING STARTED
==================================================================
1. Download and install Xcode (Mac required)
2. Unpack this Git repo into a clean directory
3. Open the project in Xcode
4. After the project is opened, open the file "Constants.h" and plug in values for the constants ACTIVEAPIKEY and STACKMOBPUBLICKEY with your own key values
5. Build and run the project in the iPhone emulator


ABOUT THE MASHERY API NETWORK
==================================================================
Mashery is the world's leading API management service provider, 
helping companies provide the best API experience for developers,
as well as the most advanced API management and reporting tools 
to our clients. The Mashery API Network (http://developer.mashery.com)
s an open data commons of over 50 RESTful APIs that developers can 
access with their Mashery ID.


EXPLORE MORE APIs
==================================================================
Check out Mashery's API Network at http://developer.mashery.com/apis
to explore other awesome APIs including NY Times, Klout, USA TODAY,
Rotten Tomatoes, Best Buy, Hoovers, Edmunds, Netflix, Rdio and many more. 


SUPPORT
=======
If you have any questions or need any help obtaining an API key, you can reach out to us at: developer-relations@mashery.com
